Cannot build sage 10.4.beta6 [fflas_ffpack-2.5.0]

100 views
Skip to first unread message

Edgar Costa

unread,
May 21, 2024, 8:44:30 AMMay 21
to sage-devel
Hello,

Does someone has insights how t fix this?
I already told ./configure --with-system-givaro=no and removed my installed givaro via homebrew.

You can find the logs here: https://gist.github.com/edgarcosta/32a8dd533cf88b937fa54194da7efe8d
But the main issue is here:
[fflas_ffpack-2.5.0] [spkg-install]   "Givaro::Integer::operator-(long long) const", referenced from:
[fflas_ffpack-2.5.0] [spkg-install]       double FFLAS::Protected::computeFactorClassic<Givaro::ModularBalanced<double> >(Givaro::ModularBalanced<double> const&) in ffpack_inst.o
[fflas_ffpack-2.5.0] [spkg-install]       double FFLAS::Protected::computeFactorClassic<Givaro::ModularBalanced<float> >(Givaro::ModularBalanced<float> const&) in ffpack_inst.o
[fflas_ffpack-2.5.0] [spkg-install]       double FFLAS::Protected::computeFactorClassic<Givaro::Modular<double, double, void> >(Givaro::Modular<double, double, void> const&) in ffpack_inst.o
[fflas_ffpack-2.5.0] [spkg-install]       double FFLAS::Protected::computeFactorClassic<Givaro::Modular<float, float, void> >(Givaro::Modular<float, float, void> const&) in ffpack_inst.o
[fflas_ffpack-2.5.0] [spkg-install]   "Givaro::Integer::operator>>(int) const", referenced from:
[fflas_ffpack-2.5.0] [spkg-install]       double FFLAS::Protected::computeFactorClassic<Givaro::ModularBalanced<double> >(Givaro::ModularBalanced<double> const&) in ffpack_inst.o
[fflas_ffpack-2.5.0] [spkg-install]       double FFLAS::Protected::computeFactorClassic<Givaro::ModularBalanced<float> >(Givaro::ModularBalanced<float> const&) in ffpack_inst.o
[fflas_ffpack-2.5.0] [spkg-install] ld: symbol(s) not found for architecture x86_64


Thank you,
Edgar


Kwankyu Lee

unread,
May 21, 2024, 9:53:07 AMMay 21
to sage-devel

Edgar Costa

unread,
May 21, 2024, 11:48:34 PMMay 21
to sage-devel
I ended up only needing the first combined with `--with-system-flint=no`

Dima Pasechnik

unread,
May 22, 2024, 10:58:35 AMMay 22
to sage-...@googlegroups.com
On Wed, May 22, 2024 at 4:48 AM Edgar Costa <edgardi...@gmail.com> wrote:
>
> I ended up only needing the first combined with `--with-system-flint=no`

can you skip `--with-system-flint=no` with your latest Homebrew's flint 3.1.3 ?
> --
> You received this message because you are subscribed to the Google Groups "sage-devel" group.
> To unsubscribe from this group and stop receiving emails from it, send an email to sage-devel+...@googlegroups.com.
> To view this discussion on the web visit https://groups.google.com/d/msgid/sage-devel/d1f6b536-4312-4e72-92c2-5ad6d38b5f13n%40googlegroups.com.

Edgar Costa

unread,
May 22, 2024, 1:07:37 PMMay 22
to sage-...@googlegroups.com
I could, but I know I will be messing up with my system flint installation in the future, and I would like to do that and keep sage happy.

Cheers,
Edgar

You received this message because you are subscribed to a topic in the Google Groups "sage-devel" group.
To unsubscribe from this topic, visit https://groups.google.com/d/topic/sage-devel/EiU2VFfaBy4/unsubscribe.
To unsubscribe from this group and all its topics, send an email to sage-devel+...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/sage-devel/CAAWYfq3mE%3D01K5Rt69b%2BOTwrtg8WGoKduS5uNHfdVfpa5M5vAw%40mail.gmail.com.
Reply all
Reply to author
Forward
0 new messages